Bug 861083 - missing value of storage_manager in JSON format
missing value of storage_manager in JSON format
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Michael Pasternak
Oded Ramraz
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 09:23 EDT by Gal Leibovici
Modified: 2016-02-10 15:24 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 03:13:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JSON response (2.54 KB, application/json)
2012-09-27 09:42 EDT, Gal Leibovici
no flags Details
XML response (2.48 KB, text/xml)
2012-09-27 09:43 EDT, Gal Leibovici
no flags Details

  None (edit)
Description Gal Leibovici 2012-09-27 09:23:44 EDT
In Host object, in xml we have an a value for storage_manager (true|false) but no so in JSON.

for ex. XML response: http://pastebin.test.redhat.com/108461
JSON response: http://pastebin.test.redhat.com/108459

You can reproduce by making a get request to /api/hosts, one time normally and one time with HTTP header "Accept" with value "application/json".
Comment 2 Gal Leibovici 2012-09-27 09:42:45 EDT
Created attachment 618071 [details]
JSON response
Comment 3 Gal Leibovici 2012-09-27 09:43:22 EDT
Created attachment 618072 [details]
XML response
Comment 6 Michael Pasternak 2012-10-03 02:47:48 EDT
i think its a bug in resteasy json-provider
Comment 11 Itamar Heim 2013-05-12 03:13:45 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.